Package org.kapott.hbci.sepa.jaxb.pain_001_002_02

# Class RemittanceInformationSCTChoice

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_001_002_02.RemittanceInformationSCTChoice

public class RemittanceInformationSCTChoice extends Object

Java class for RemittanceInformationSCTChoice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RemittanceInformationSCTChoice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="Ustrd" type="{urn:swift:xsd:$pain.001.002.02}Max140Text"/>
               <element name="Strd" type="{urn:swift:xsd:$pain.001.002.02}StructuredRemittanceInformationSCT"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected StructuredRemittanceInformationSCT`
`strd`
`protected String`
`ustrd`

## Constructor Summary

Constructors
Constructor
Description
`RemittanceInformationSCTChoice()`

## Method Summary

Modifier and Type
Method
Description
`StructuredRemittanceInformationSCT`
`getStrd()`
Gets the value of the strd property.
`String`
`getUstrd()`
Gets the value of the ustrd property.
`void`
`setStrd(StructuredRemittanceInformationSCT value)`
Sets the value of the strd property.
`void`
`setUstrd(String value)`
Sets the value of the ustrd property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ustrd

protected String ustrd

### strd

protected StructuredRemittanceInformationSCT strd

## Constructor Details

### RemittanceInformationSCTChoice

public RemittanceInformationSCTChoice()

## Method Details

### getUstrd

public String getUstrd()
Gets the value of the ustrd property.

Returns:
  possible object is `String`

### setUstrd

public void setUstrd(String value)
Sets the value of the ustrd property.

Parameters:
  `value` - allowed object is `String`

### getStrd

public StructuredRemittanceInformationSCT getStrd()
Gets the value of the strd property.

Returns:
  possible object is `StructuredRemittanceInformationSCT`

### setStrd

public void setStrd(StructuredRemittanceInformationSCT value)
Sets the value of the strd property.

Parameters:
  `value` - allowed object is `StructuredRemittanceInformationSCT`